### Enumeration

# Gsk PathOperation

since: 4.14

#### Declaration

    enum Gsk.PathOperation

#### Description [src]

Describes the segments of a `GskPath`.

More values may be added in the future.

Available since: 4.14

#### Members

`GSK_PATH_MOVE`

  A move-to operation, with 1 point describing the target point.

  - Value: `0`
  - Available since: 4.14
`GSK_PATH_CLOSE`

  A close operation ending the current contour with a line back to the starting point. Two points describe the start and end of the line.

  - Value: `1`
  - Available since: 4.14
`GSK_PATH_LINE`

  A line-to operation, with 2 points describing the start and end point of a straight line.

  - Value: `2`
  - Available since: 4.14
`GSK_PATH_QUAD`

  A curve-to operation describing a quadratic Bézier curve with 3 points describing the start point, the control point and the end point of the curve.

  - Value: `3`
  - Available since: 4.14
`GSK_PATH_CUBIC`

  A curve-to operation describing a cubic Bézier curve with 4 points describing the start point, the two control points and the end point of the curve.

  - Value: `4`
  - Available since: 4.14
`GSK_PATH_CONIC`

  A rational quadratic Bézier curve with 3 points describing the start point, control point and end point of the curve. A weight for the curve will be passed, too.

  - Value: `5`
  - Available since: 4.14